2018-03-18 05:23 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000073Cheat Enginepublic2008-09-16 18:47
Assigned ToDark Byte 
Summary0000073: crash while opening xEngine.exe (STALKER - Clear Sky)
DescriptionNo matter what i try, Cheatengine crashes.
And after a lot of tries, even the game crashed and some other programms that was running in the backround (like Deamon Tools).
Minidump is empty, so i attack the AppCompat.
Additional InformationProblemsignature
EventType: BEX
P1 :
P2 :
P3 : 00000000
P4 : unknown
P5 :
P6 : 00000000
P7 : 00000000
P8 : c0000409
p9 : 00000000
TagsNo tags attached.
Attached Files




CGi (reporter)

Forgot to mention, i opened the process and not the executable itself.
And i use CE 5.4.


Dark Byte (developer)

You open with clicking OK or with click on on attach to process?
Of attach to process. Try OK.

Also, if you have enabled hyperscan on by default, go to settings and disable that


CGi (reporter)

i normaly open a process by just clicking OK.
But in this case i tryed "attach to process" too.
And hyperscan is always disabled. Had to much problems, with this function enabled.

Starting STALKER-CS then CE 5.4 = CE crashes,
First CE 5.4 then STALKER = same problem, CE crashes shortly after i clicked OK to open the process.
And it doesnt matter if i run STALKER in fullscreen or not.
Hiding CE doesn't help too.
Seems it's STALKER-CS dependend, because CE 5.4 worked fine with STALKER-SoC and any other piece of software i used so far.

Btw: Tryed GameWiz and this one worked. But i need CE and not GW. :(


Dark Byte (developer)

Last edited: 2008-09-08 18:10

Does it also crash if you do not target stalker ?
Check if all options in settings->extra are disabled. So no stealth.

And if possible, try a no-cd patch if there is one


CGi (reporter)

Last edited: 2008-09-09 03:27

What do u mean with "not target STALKER"? Select another process while the game is running? in this case, the answer is no. CE crashs only if i target xEngine.exe.

Nothing selected in the extra tab under settings.
Tryed with original files, one cracked .dll and with another crack that replaces much more dll's and 2 executables that brings most files back to patch version 1.5.03.
But the game uses alot of protections (3 i think) including Starforce. And the games protection is far away from being fully cracked.
But most of the protection systems will even stop if they detect Process Explorer. But not this time. But i still tryed without running Process Explorer.
But CE still crashes. Even the game version doesnt matter. Tryed 1.5.00, 1.5.03 and 1.5.04.

Just in case it does matter: its the russian version of the game.
i'll try with installed russian support for windows later too because some japanese software needs japanese keyboard layout and font support to be installed or they won't run.


Dark Byte (developer)

Hmm, try enabling settings->extra kernelmode read/writeprocessmemory and query memory regions. (Openprocess as well, but that'll tick automatically)
And then open xEngine.exe.

Perhaps that'll make a small difference


CGi (reporter)

Makes no difference.
CE still crashes and Windows reports the same crash log.


Dark Byte (developer)

I got the game (english version) and it's doing the same for me. (doesn't kill the game, but ce closes)

I've pinpointed it to the spot where it's going to do a query to get more detailed information that just memory access. I'll check where it goes wrong, or if I should add an option to disable this extra processing


Dark Byte (developer)

The problem has been fixed.
On failure of loading the modulelist, it still tried to read it.

if you want to try the fix:

remember, this is just a SVN snapshot, and a lot is still under construction. (e.g the processlist at top just pops up the processid when clciked but doesn't do anything...)

-Issue History
Date Modified Username Field Change
2008-09-08 03:05 CGi New Issue
2008-09-08 03:05 CGi File Added: appcompat.txt
2008-09-08 03:10 CGi Note Added: 0000151
2008-09-08 03:37 Dark Byte Note Added: 0000152
2008-09-08 04:39 Dark Byte Status new => acknowledged
2008-09-08 16:34 CGi Note Added: 0000154
2008-09-08 18:08 Dark Byte Note Added: 0000155
2008-09-08 18:09 Dark Byte Note Edited: 0000155
2008-09-08 18:10 Dark Byte Note Edited: 0000155
2008-09-09 03:15 CGi Note Added: 0000160
2008-09-09 03:18 CGi Note Edited: 0000160
2008-09-09 03:25 CGi Note Edited: 0000160
2008-09-09 03:26 CGi Note Edited: 0000160
2008-09-09 03:27 CGi Note Edited: 0000160
2008-09-09 03:37 Dark Byte Note Added: 0000161
2008-09-09 03:46 CGi Note Added: 0000162
2008-09-16 18:23 Dark Byte Note Added: 0000167
2008-09-16 18:23 Dark Byte Status acknowledged => confirmed
2008-09-16 18:46 Dark Byte Note Added: 0000168
2008-09-16 18:46 Dark Byte Status confirmed => resolved
2008-09-16 18:46 Dark Byte Resolution open => fixed
2008-09-16 18:46 Dark Byte Assigned To => Dark Byte
+Issue History